DTHELLO(1)

NAME
dthello - startup transition program for HP DT

dtcolor - transition program and color server for HP DT Lite

SYNOPSIS
dthello [options]
dtcolor [options]

DESCRIPTION
Dthello is a client that provides a transitory visual during the startup of the Hewlett-Packard Visual User Environment (HP DT). Dthello is designed to cover the interval between login (see dtlogin(1)) and the start up of the window manager (see dtwm(1)).

Dthello covers the screen with a window and displays a boxed message. The message consists of two parts: The first part is a short welcome string. This string may contain literal and new-line characters. The second part is the content of one or more (up to five) files. Each line of text from these two parts is left-justified against the boxed outline.

Dtcolor is used in HP DT Lite in place of dthello. Dtcolor offers the same command line options, resources, and behavior except that after initialization, the dtcolor process puts itself in the background and continues running for the duration of the HP DT Lite session as a color server. In HP DT Regular, the color server code is built into the session manager (dtsession), so that the dtcolor daemon needs to run only in HP DT Lite sessions. Because dtcolor offers a strict superset of dthello functionality, all comments about dthello apply equally to dtcolor.

The default font for dthello is chosen in a device-dependent way, depending on the screen resolution of the display, whether high resolution (e.g., 1280x1024), medium resolution (e.g., 1024x768), or low resolution (e.g., 640x480).

Dthello will display only a ``reasonable'' number of lines of text. It does not scroll or try to prevent the text from getting clipped if the text does not fit on the screen. If the line length is too long, then dthello will not draw the encompassing box, and will instead align the text flush against the left edge of the screen.

Dthello is designed to be invoked just after login. The script file that contains the default invocation of dthello is /usr/dt/config/Xsession.

OPTIONS

-display display_name
    This option names the display on which to run. The default display is taken from the DISPLAY environment variable.

-bground background_color
    This option specifies the background color of the window. The default value is "black" for B&W and screens with limited color (16 or less) and "cornflowerblue" for screens with more colors (more than 16). The background color can also be specified by setting the vbackground (class Vbackground) resource.

-fground foreground_color
    This option specifies the foreground color (for the text). The default value is "white." The foreground color can also be specified by setting the vforeground (class Vforeground) resource.

-file file_name
    This option specifies a file from which to read message text. This option may appear up to five times to include text from five different files. If no file option is specified (the default), the file /etc/copyright is displayed. The file (class File) resource is recognized, but only one file can be specified this way.

-font font_name
    This option specifies the font to use with which to render the text string. The default values are system23 for high resolution displays, system19 for medium resolution displays, and system16 for low resolution displays. The equivalent resource is vfont (class Vfont).

-string text_string
    This option specifies the message text to display. Messages with embedded spaces must be quoted. Literal new-line characters can be embedded in the text string to specify line breaks. Each line will be left-justified on the screen. The default text is:

    Starting the
    Common Desktop Environment

    The message text can also be specified with the string (class String) resource.

-timeout num_seconds
    This option specifies the timeout value in seconds. Dthello sets a timer and then waits for the ReparentNotify event that signals that the window manager is up. If the timer expires, dthello stops waiting on the window manager and terminates immediately. The default value is 240 seconds. The equivalent resource is timeout (class Timeout).

ENVIRONMENT
Dthello uses the DISPLAY environment variable.

WARNINGS
Lines that contain non-printable characters (such as the tab character) may not display as expected.

COPYRIGHT
(c) Copyright 1990, 1991, 1992 by Hewlett-Packard Company.
(c) Copyright 1993, 1994 Hewlett-Packard Company
(c) Copyright 1993, 1994 International Business Machines Corp.
(c) Copyright 1993, 1994 Sun Microsystems, Inc.
(c) Copyright 1993, 1994 Novell, Inc.

AUTHOR
Dthello and dtcolor were developed by HP.

FILES
/usr/lib/X11/dt/Dtlogin/Xsession
/etc/copyright

SEE ALSO
dtlite(1), dtlogin(1), dtwm(1).